Bug 980242 - Improper obsoletes
Improper obsoletes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 16:02 EDT by Orion Poplawski
Modified: 2013-07-05 20:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: sssd-1.10.0-16.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 20:56:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-07-01 16:02:42 EDT
Description of problem:

Transaction check error:
  file /usr/lib64/sssd/modules/libsss_autofs.so from install of sssd-common-1.10.0-13.fc20.x86_64 conflicts with file from package libsss_autofs-1.10.0-7.fc20.beta1.x86_64

sssd-1.10.0-13.fc20 obsoletes <= 1.10.0-7.beta1 which is less than 1.10.0-7.fc20.beta1 (note the missing %{?dist}).  You really should always have %{?dist} last in the release tag as well.
Comment 1 Fedora Update System 2013-07-02 12:59:47 EDT
sssd-1.10.0-16.fc19,libldb-1.1.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sssd-1.10.0-16.fc19,libldb-1.1.16-1.fc19
Comment 2 Fedora Update System 2013-07-02 23:29:06 EDT
Package sssd-1.10.0-16.fc19, libldb-1.1.16-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.10.0-16.fc19 libldb-1.1.16-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12204/sssd-1.10.0-16.fc19,libldb-1.1.16-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-04 21:55:08 EDT
Package sssd-1.10.0-16.fc19, libldb-1.1.16-1.fc19, samba-4.0.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.10.0-16.fc19 libldb-1.1.16-1.fc19 samba-4.0.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12204/samba-4.0.7-1.fc19,sssd-1.10.0-16.fc19,libldb-1.1.16-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-05 20:56:16 EDT
sssd-1.10.0-16.fc19, libldb-1.1.16-1.fc19, samba-4.0.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.